unit U_SetTransparency;

interface

uses
  Windows, U_LNG, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, Buttons, siComp, siLngLnk;

type
  TF_SetTransparency = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    TrCableChannel: TTrackBar;
    TrTube: TTrackBar;
    TrCorrugation: TTrackBar;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    siLangLinked1: TsiLangLinked;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure TrCableChannelChange(Sender: TObject);
    procedure TrTubeChange(Sender: TObject);
    procedure TrCorrugationChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  F_SetTransparency: TF_SetTransparency;

implementation

{$R *.dfm}

procedure TF_SetTransparency.BitBtn1Click(Sender: TObject);
begin
  ModalResult := mrOk;
end;

procedure TF_SetTransparency.BitBtn2Click(Sender: TObject);
begin
  ModalResult := mrCancel;
end;

procedure TF_SetTransparency.FormShow(Sender: TObject);
begin
  TrCableChannel.Position := 0;
  TrCorrugation.Position := 0;
  TrTube.Position := 0;
  Edit1.Text := '0%';
  Edit2.Text := '0%';
  Edit3.Text := '0%';
end;

procedure TF_SetTransparency.TrCableChannelChange(Sender: TObject);
begin
  Edit1.Text := inttostr(F_SetTransparency.TrCableChannel.Position) + '%';
end;

procedure TF_SetTransparency.TrTubeChange(Sender: TObject);
begin
  Edit2.Text := inttostr(F_SetTransparency.TrTube.Position) + '%';
end;

procedure TF_SetTransparency.TrCorrugationChange(Sender: TObject);
begin
  Edit3.Text := inttostr(F_SetTransparency.TrCorrugation.Position) + '%';
end;

end.
